Package org.apache.lucene.sandbox.facet.cutters.ranges

# Class LongRangeFacetCutter

java.lang.Object
org.apache.lucene.sandbox.facet.cutters.ranges.LongRangeFacetCutter

All Implemented Interfaces:
  `FacetCutter`

public abstract class LongRangeFacetCutter extends Object implements FacetCutter
`FacetCutter` for ranges of long values. It's based on LongRangeCounter class.

WARNING: This API is experimental and might change in incompatible ways in the next release.

## Method Summary

Modifier and Type
Method
Description
`static LongRangeFacetCutter`
`create(MultiLongValuesSource longValuesSource, LongRange[] longRanges)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.lucene.sandbox.facet.cutters.FacetCutter

`createLeafCutter, getChildrenOrds, getOrdinalsToRollup`

## Method Details

### create

public static LongRangeFacetCutter create(MultiLongValuesSource longValuesSource, LongRange[] longRanges)